return {
  {
    "hrsh7th/nvim-cmp",
    dependencies = {
      "hrsh7th/cmp-cmdline",
      "hrsh7th/cmp-path",
      "hrsh7th/cmp-buffer"
    },
    opts = function()
      require "config.plugins.cmp"
    end,
  },
  {
    "hrsh7th/cmp-nvim-lsp",
    dependencies = {},
    config = function ()
      local capabilities = require('cmp_nvim_lsp').default_capabilities()

      require('lspconfig').clangd.setup {
        capabilities = capabilities,
      }
    end,
  },
  {
    "L3MON4D3/LuaSnip",
    dependencies = {
	"saadparwaiz1/cmp_luasnip",
	"rafamadriz/friendly-snippets"
    },
    opts = {}
  }
}
